OSNAP

Hy!
How to set up AutoCAD 2002/2004/2005 to turn OFF the OSNAP automaticly when ZOOM/Windows command is used?
Thx, Uros LESJAK,
SI-Europe.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
You could define a lisp routine to use for Zoom/Windows:
(defun c:zw () (setvar "osmode" 0) (command ".zoom" "w") (princ))
This will turn off osnap, then execute a zoom/window.
Mitch Thompson http://autopanelboard.home.insightbb.com/home.html Electrical Panel schedule software for use with AutoCAD

when
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
This is not a good suggestion. I'd suggest to set the systemvariable OSNAPCOORDS to 1 or to 2 (it must not be 0).
Juergen
Mitch Thompson schrieb:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
When did they start that variable?
--


MichaelB
www.michaelbulatovich.com
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Ok, I stand corrected. I mean OSNAPCOORD - this is known since Rel. 14 ;-) Sorry for the confusion
Juergen
Michael Bulatovich schrieb:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
I *wasn't* correcting you Juergen. I had never heard of either of them before ; )

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
May be you know this: Preferences | User Preferences | Priority for coordinate Data Entry (Running object snap or Keyboard entry or Keyboard entry except scripts). This is another way to set OSNAPCOORD to 0, 1 or 2.
Juergen
Michael Bulatovich schrieb:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
The variable just set "by its self", my custmer said. ;-)
THX, for help!

automaticly
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
... and it would be nice to restore the original osnap after finishing the command:
(defun c:zw () (setq os (getvar "osmode")) (setvar "osmode" 0) (command ".zoom" "w" pause pause) (princ "\ntet") (setvar "osmode" os))

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.